<?php
/**
* @package      Easyway Shop
* @copyright    Copyright (C) 2005 - 2011 TA-EDV
* @license      proprietary
* @author       John T. Daly <jd@ta-edv.de>
* 
* Easyway Shop is a web e-commerce system
*/

include_once './core/manufacturer.class.php';

class website_manufacturers {
	private $base_object;
	private $layout_object;
	private $manufacturer_object;
	
	public function __construct($base_object, $layout_object) {
		$this->base_object = $base_object;
		$this->layout_object = $layout_object;
		$this->manufacturer_object = new Manufacturer($base_object);
	}
	
	public function run() {
		$manufacturers = $this->manufacturer_object->get_all_active();
		
		$path = $this->manufacturer_object->get_image_url();
		$this->layout_object->assign('img_path', $path);
		$this->layout_object->assign('manufacturers', $manufacturers);
		
		return $this->layout_object->_fetch('content_manufacturers.tpl');
	}
}